### Name: mam15
### Title: Mammal Phylogenetic Analysis for 15 Trees
### Aliases: mam15 mam15.relltest mam15.mt mam15.ass
### Keywords: datasets

### ** Examples

data(mam15)

## show the results for trees and edges
mam15.relltest # print stat, shtest, bootstrap probabilities, and AIC
summary(mam15.relltest) # print AU p-values

## extract trees in increasing order of the test statistic
stat <- attr(mam15.relltest,"stat") # log-likelihood difference
o <- order(stat[1:15]) # sort in increasing order (t1,...,t15)
mam15.trees <- mam15.relltest[o] # extract elements from relltest object
mam15.trees  # print stat, shtest, bootstrap probabilities, and AIC
summary(mam15.trees) # print AU p-values
plot(mam15.trees) # draw the curve fitting

## extract edges in increasing order of the test statistics
o <- 15+order(stat[16:25]) # sort in increasing order (e1,...,e10)
mam15.edges <- mam15.relltest[o]
mam15.edges  # print stat, shtest, bootstrap probabilities, and AIC
summary(mam15.edges) # print AU p-values
plot(mam15.edges) # draw the curve fitting

## Not run: 
##D ## simpler script to create mam15.trees
##D mam15.mt <- read.mt("mam15.mt")
##D mam15.ass <- read.ass("mam15.ass")
##D mam15.trees <- relltest(mam15.mt,nb=100000)
## End(Not run)

## Not run: 
##D ## script to create mam15.relltest
##D ## It took 260 mins (Xeon 2.4GHz)
##D mam15.mt <- read.mt("mam15.mt")
##D mam15.ass <- read.ass("mam15.ass")
##D mam15.relltest <- relltest(mam15.mt,nb=100000,ass=mam15.ass)
## End(Not run)

## Not run: 
##D ## Parallel version of the above script (but different in random seed)
##D ## It took 13 mins (40 cpu's of Athlon MP 2000+)
##D mam15.mt <- read.mt("mam15.mt")
##D mam15.ass <- read.ass("mam15.ass")
##D library(snow)
##D cl <- makeCluster(40)
##D mam15.relltest <- relltest(mam15.mt,nb=100000,ass=mam15.ass,cluster=cl)
## End(Not run)




